<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| RSS Parser Infusion for PHP-Fusion 5        
+----------------------------------------------------+
| author: Scott Rutherford (surreal)  2005   
| web: http://www.maiden-city.co.uk           
| email: scott@maiden-city.co.uk              
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (!file_exists(INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."rss_parser_panel/locale/English.php";
}

global $p_data;
$SQL = 'SELECT * FROM '.$db_prefix.'rss_feeds WHERE name = "'.$p_data['panel_name'].'"';
$RES = dbquery($SQL);
$ROW = dbarray($RES);
if($ROW) {
	if($ROW['type'] == 2) {
		$file = BASEDIR.$ROW['file'];
	} else {
		$file = $ROW['file'];
	}
	$name = $ROW['name'];
	$cacheLimit = $ROW['cache_limit'];
	$numCenterItems = $ROW['num_items_center_panel'];
	$numSideItems = $ROW['num_items_side_panel'];
	$new_window = ($ROW['new_window'] == 1 ? '" target="_blank' : "");
} else {
	$file = '';
	$name = $locale['LAN_RSS_100'];
	$cacheLimit = 1;
}

if ($settings['maintenance'] != "1") {
	if($p_data['panel_side'] == 2) {
		opentable($name);
			if(!include_once(INFUSIONS.'rss_parser_panel/parser.php')) {
				print $locale['LAN_RSS_101'];
			} elseif(empty($file)) {
				print $locale['LAN_RSS_102'];
			} elseif(!$rss_parser =& new rss_parser) {
				die('couldn\'t create object');
			} elseif(!$news = $rss_parser->parse($file, $numCenterItems, $cacheLimit)) {
				print $locale['LAN_RSS_103'];
			} else {
				$count_items = 0;
				foreach($news['news'] as $data) {
					print '<a href="'.$data['link'].$new_window.'" style="font-weight:bold">'.$data['title'].'</a><br />'.$data['description'].'<br /><br />';
					$count_items++;
				}
				if ($count_items == 0) {
					echo $locale['LAN_RSS_194'];
				}

				if($news['info']['cache_last_update'] < 3601) {
					$last_update = floor($news['info']['cache_last_update']/60).' '.$locale['LAN_RSS_192'];
				} elseif($news['info']['cache_last_update'] == 0) {
					$last_update = '0 '.$locale['LAN_RSS_192'];
				} else {
					$hours = floor(($news['info']['cache_last_update']/60)/60);
					$mins = floor($news['info']['cache_last_update']/60)-(60*$hours);
					$last_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
				}
				if($news['info']['cache_next_update'] < 3601) {
					$next_update = ceil($news['info']['cache_next_update']/60).' '.$locale['LAN_RSS_192'];
				} elseif($news['info']['cache_next_update'] == 0) {
					$next_update = $ROW['cacle_limit'].' '.$locale['LAN_RSS_193'];
				} else {
					$hours = floor(($news['info']['cache_next_update']/60)/60);
					$mins = ceil($news['info']['cache_next_update']/60)-(60*$hours);
					$next_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
				}

				print '<table width="100%"><tr><td class="news-footer">'.$locale['LAN_RSS_190'].$last_update.'<br />'.
							$locale['LAN_RSS_191'].$next_update.'</td></tr></table>';
			}
		closetable();
	} else {
		openside($name);
			if(!include_once(INFUSIONS.'rss_parser_panel/parser.php')) {
				print $locale['LAN_RSS_101'];
			} elseif(empty($file)) {
				print $locale['LAN_RSS_102'];
			} elseif(!$rss_parser =& new rss_parser) {
				print $locale['LAN_RSS_104'];
			} elseif(!$news = $rss_parser->parse($file, $numSideItems, $cacheLimit)) {
				print $locale['LAN_RSS_103'];
			} else {
				print '<span class="small2">'; 
				foreach($news['news'] as $data) {
					print '<a href="'.$data['link'].'" title="'.$data['title'].$new_window.'">'.trimlink($data['title'], 22).'</a><br />';
				}
				print '</span>';
			}
		closeside();
	}
}
?>